/// <reference path ="typings/jquery/jquery.d.ts"/>
/// <reference path="typings/bootstrap/index.d.ts"/>
/// <reference path="typings/infragistics/igniteui.d.ts"/>
'use strict';

var data = [
    { Text: "A1" },
    { Text: "A2" },
    { Text: "A3" },
    { Text: "A4" }
];

class MyGrid {

    constructor() {
        jQuery(document).ready(() => {
            $("#grid").igGrid({
                width: '100%',
                autoGenerateColumns: true,
                dataSource: data,
                autoCommit: true
            });
        });
    }

    getcount() {
      //return "Count: ";

      return "Count:" + $("#grid").data('igGrid').dataSource.dataView();
    }
}

var mygrid: MyGrid = new MyGrid();